Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiSlot

    java.lang.Object
      net.minecraft.src.GuiSlot

Direct Known Subclasses:
  GuiControlsScrollPanel

    public abstract class GuiSlot

extends Object

Field Summary
`String` | `BACKGROUND_IMAGE`

Constructor Summary
`GuiSlot(Minecraft par1Minecraft, int par2, int par3, int par4, int par5, int par6)`

Method Summary
`void` | `actionPerformed(GuiButton par1GuiButton)`
`void` | `drawScreen(int par1, int par2, float par3)` draws the slot to the screen, pass in mouse's current x and y and partial ticks
`void` | `func_77207_a(int par1, int par2, int par3, int par4)`
`void` | `func_77208_b(int par1)`
`int` | `func_77209_d()`
`int` | `func_77210_c(int par1, int par2)`
`void` | `registerScrollButtons(List par1List, int par2, int par3)` Registers the IDs that can be used for the scrollbar's buttons.
`void` | `setShowSelectionBox(boolean par1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKGROUND_IMAGE

    public String BACKGROUND_IMAGE

Constructor Detail

### GuiSlot

    public GuiSlot(Minecraft par1Minecraft,
                   int par2,
                   int par3,
                   int par4,
                   int par5,
                   int par6)

Method Detail

### func_77207_a

    public void func_77207_a(int par1,
                             int par2,
                             int par3,
                             int par4)

### setShowSelectionBox

    public void setShowSelectionBox(boolean par1)

### func_77210_c

    public int func_77210_c(int par1,
                            int par2)

### registerScrollButtons

    public void registerScrollButtons(List par1List,
                                      int par2,
                                      int par3)

  Registers the IDs that can be used for the scrollbar's buttons.

### func_77209_d

    public int func_77209_d()

### func_77208_b

    public void func_77208_b(int par1)

### actionPerformed

    public void actionPerformed(GuiButton par1GuiButton)

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  draws the slot to the screen, pass in mouse's current x and y and partial ticks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD